Bug 247985 - rusersd doesn't start with rpcbind installed
rusersd doesn't start with rpcbind installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpcbind (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-12 10:51 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:47 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.17-48.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2007-07-12 10:51:56 EDT
Description of problem:
rusersd doesn't run with rpcbind

Version-Release number of selected component (if applicable):
rusers-server-0.17-47

How reproducible:
100%

Steps to Reproduce:
1. Try to run rusersd
2. 
3.
  
Actual results:
rusersd won't start - ended with error message: "Cannot register service: RPC:
Authentication error; why = Client credential too weak"

Expected results:
rusersd started

Additional info:
In rusersd drops privileges if it's run with root priv. - works in FC6:
/* Drop privilege */
	if (getuid() == 0) {
		struct passwd	*pw;
 
		if ((pw = getpwnam("nobody")) == NULL) {
			syslog(LOG_WARNING, "Unable to find user nobody: %m");
			exit(1);
		}
		if (setgroups(1, &pw->pw_gid) < 0
		 || setgid(pw->pw_gid) < 0
		 || setuid(pw->pw_uid) < 0) {
			syslog(LOG_WARNING, "Failed to drop privilege: %m");
			exit(1);
		}
	}
If you remove this part, rusersd works ok, but I'm not sure if it's safe. There
is another service in this package "rstatd" which doesn't drop the privileges
and works fine.
Comment 1 Steve Dickson 2007-09-17 08:42:22 EDT
Fixed in rusers-0.17-48.f7
Comment 2 Fedora Update System 2007-09-18 18:31:13 EDT
rusers-0.17-48.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-10-29 15:02:58 EDT
rusers-0.17-48.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.